Name:           perl-Alien-Font-Uni
Version:        0.3
Release:        7%{?dist}
Summary:        Access to Unifont TrueType file
# lib/Alien/Font/Uni.pm:    GPL-1.0-or-later OR Artistic-1.0-Perl (OFL-1.1
#                           refers to font files)
# LICENSE:      GPL-1.0-or-later OR Artistic-1.0-Perl
# README:       GPL-1.0-or-later OR Artistic-1.0-Perl
## Not used and not in any binary package
# dist.ini:     GPL-1.0-or-later OR Artistic-1.0-Perl
## Unbundled
# share/OFL1.1.txt:             OFL-1.1 license text
# share/unifont-15.0.01.ttf:    OFL-1.1 OR GPL-2.0-or-later WITH Font-exception-2.0
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/dist/Alien-Font-Uni
Source0:        https://cpan.metacpan.org/authors/id/L/LI/LICHTKIND/Alien-Font-Uni-%{version}.tar.gz
# Use a system font, not suitable for an upstream
Patch0:         Alien-Font-Uni-0.3-Use-system-font.patch
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(:VERSION) >= 5.8.0
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
%if 0%{?fedora} < 38
BuildRequires:  font(unifont)
%else
# font(unifont) is provided by two packages, pick TrueType one by an RPM name
BuildRequires:  unifont-ttf-fonts
%endif
BuildRequires:  perl(version) >= 0.77
# Tests:
BuildRequires:  perl(Test::More) >= 1.3
%if 0%{?fedora} < 38
Requires:       font(unifont)
%else
# font(unifont) is provided by two packages, pick TrueType one by an RPM name
Requires:       unifont-ttf-fonts
%endif

# Remove underspecified dependencies
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^perl\\(Test::More\\)$

%description
This module was created as an optional dependency of Chart to have access to
a Unicode-complete scaleable font file. Thus only the Unifont TrueType font
file is provided since this is what GD can read.

%package tests
Summary:        Tests for %{name}
Requires:       %{name} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:       perl-Test-Harness
Requires:       perl(Test::More) >= 1.3

%description tests
Tests from %{name}. Execute them
with "%{_libexecdir}/%{name}/test".

%prep
%autosetup -p1 -n Alien-Font-Uni-%{version}
# Prune bundled font; MANIFEST edited with a patch.
rm -r share
# Correct permissions
chmod +x t/*.t

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} %{buildroot}/*
# Install tests
mkdir -p %{buildroot}%{_libexecdir}/%{name}
cp -a t %{buildroot}%{_libexecdir}/%{name}
cat > %{buildroot}%{_libexecdir}/%{name}/test << 'EOF'
#!/bin/sh
cd %{_libexecdir}/%{name} && exec prove -I . -j "$(getconf _NPROCESSORS_ONLN)"
EOF
chmod +x %{buildroot}%{_libexecdir}/%{name}/test

%check
export HARNESS_OPTIONS=j$(perl -e 'if ($ARGV[0] =~ /.*-j([0-9][0-9]*).*/) {print $1} else {print 1}' -- '%{?_smp_mflags}')
make test

%files
%license LICENSE
%doc Changes CONTRIBUTING README
%dir %{perl_vendorlib}/Alien
%dir %{perl_vendorlib}/Alien/Font
%{perl_vendorlib}/Alien/Font/Uni.pm
%{_mandir}/man3/Alien::Font::Uni.*

%files tests
%{_libexecdir}/%{name}

%changelog
* Fri Jul 25 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_43_Mass_Rebuild

* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Dec 01 2022 Petr Pisar <ppisar@redhat.com> 0.3-1
- Specfile autogenerated by cpanspec 1.78.
